import configparser


class ROIData:
    _POSITION = "position"
    _SIZE = "size"
    _ROTATION = "rotation"

    def __init__(self, file):
        self._file = file
        self._config = configparser.ConfigParser()
        self._config.read(self._file)
        self._position = dict(self._config.items(self._POSITION))
        self._size = dict(self._config.items(self._SIZE))
        self._rotation = dict(self._config.items(self._ROTATION))

    @property
    def position(self):
        return self._position

    @property
    def size(self):
        return self._size

    @property
    def rotation(self):
        return self._rotation

    def save(self):
        for key, value in self._position.items():
            self._config[self._POSITION][key] = str(value)

        for key, value in self._size.items():
            self._config[self._SIZE][key] = str(value)

        for key, value in self._rotation.items():
            self._config[self._ROTATION][key] = str(value)

        with open(self._file, "w+", encoding="UTF-8") as roi_file:
            self._config.write(roi_file)
