from datetime import datetime

import pandas as pd
from PyQt5.QtWidgets import QFileDialog


class ExportService:

    def __init__(self, directory):
        self._directory = directory
        self._parent_ui = None
        self._options = QFileDialog.Options() | QFileDialog.DontUseNativeDialog

    def __call__(self, parent_ui):
        self._parent_ui = self._parent_ui
        return self

    def export(self, file_name, content):
        full_file_name = self._directory + file_name + "_" + str(datetime.now().isoformat("T", "seconds")) + ".csv"
        file_name, _ = QFileDialog.getSaveFileName(self._parent_ui, "Export to File", full_file_name,
                                                   options=self._options)
        if file_name:
            data_frame = pd.DataFrame.from_dict(content, orient="index").T
            data_frame.to_csv(file_name, index=False)
