class MetricsService:

    def __init__(self, metrics_data, fit_data, energy_data, position_data):
        self._metrics_data = metrics_data
        self._fit_data = fit_data
        self._energy_data = energy_data
        self._position_data = position_data

    @property
    def metrics_data(self):
        return self._metrics_data

    def update(self):
        self._metrics_data.update(self._fit_data.parameters.horizontal, self._fit_data.parameters.vertical)
        self._metrics_data.update_scanner_metrics(append_scanner_metrics=self._energy_data.is_ready_for_new_data,
                                                  update_scanner_metrics=self._energy_data.is_ready_for_new_scan_point,
                                                  steps=self._energy_data.scan_step)
        self._metrics_data.update_alignment_metrics(
            append_alignment_metrics=self._position_data.is_ready_for_new_data,
            update_alignment_metrics=self._position_data.is_ready_for_new_scan_point,
            steps=self._position_data.scan_step)
